class Zzz < Formula
  desc "Command-line tool to put Macs to sleep"
  homepage "https://github.com/Orc/Zzz"
  url "https://github.com/Orc/Zzz/archive/refs/tags/v1.tar.gz"
  sha256 "8c8958b65a74ab1081ce1a950af6d360166828bdb383d71cc8fe37ddb1702576"
  license :public_domain
  head "https://github.com/Orc/Zzz.git", branch: "main"

  depends_on :macos

  # build patch for main function signature, upstream pr ref, https://github.com/Orc/Zzz/pull/6
  patch do
    url "https://github.com/Orc/Zzz/commit/efb6f6314722de65e709df6dc5f94284cf12abaf.patch?full_index=1"
    sha256 "6e92a6d87c7ddeff5308318b80f4287434cf793a4cf2b1761193b5aff2ea5867"
  end

  def install
    system "make", "install", "PREFIX=#{prefix}"
  end

  # No test is possible: this has no --help or --version, it just
  # sleeps the Mac instantly.
  test do
    assert_predicate bin/"Zzz", :exist?
  end
end
